> For the complete documentation index, see [llms.txt](https://docs.mashmatrix.com/mashmatrix-sheet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mashmatrix.com/mashmatrix-sheet/functions_about_displaying_data/summary_row.md).

# Summary Row

The summary row is a fixed area displayed at the bottom of the sheet's table that shows a summary of the values in each of the columns. The summary is calculated and reflected in real time as the data in the sheet is entered/edited.

![](/files/IBApNMRltqbqWFq40Yi0)

To display the summary row, the summary display setting must be enabled in one or more columns in the sheet. See "[Summary Display Setting](/mashmatrix-sheet/functions_about_displaying_data/change_column_setting/options.md#summary-display-setting)" for details.

{% hint style="warning" %}
The summary results displayed in the summary row are only for the records that have been retrieved in the sheet. If the entire target records have not been retrieved from the server, the displayed summary value will be marked with a warning mark, indicating that it may differ from the actual summary result.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mashmatrix.com/mashmatrix-sheet/functions_about_displaying_data/summary_row.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
